#
# Cookbook Name:: vs_code
# Recipe:: windows
#
# Copyright (c) 2016 Sean Escriva
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

package 'Microsoft Visual Studio Code' do # ~FC009
  source node['vs_code']['source_url']
  remote_file_attributes(
    path: File.join(Chef::Config[:file_cache_path], 'VSCodeSetup-stable.exe')
  )
  installer_type :custom
  options '/silent /mergetasks=!runcode' # https://github.com/Microsoft/vscode/issues/860
end
